Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.reporting
[Java] Interface SingleFileReport

    org.gradle.util.Configurable
      org.gradle.api.reporting.ConfigurableReport
          org.gradle.api.reporting.SingleFileReport
              org.gradle.api.reporting.Report

All Superinterfaces:
  Configurable, ConfigurableReport, Report

    public interface SingleFileReport
    extends ConfigurableReport

A report that is a single file.

Field Summary

Fields inherited from interface Report
NAMER

Method Summary
`OutputType` | `getOutputType()` Always returns Report.OutputType#FILE

Methods inherited from interface ConfigurableReport
setDestination

Methods inherited from interface Report
getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled

Method Detail

### getOutputType

    public OutputType getOutputType()

  Always returns Report.OutputType#FILE
  Returns:
    Report.OutputType#FILE

Gradle API 1.10